View domain

Prev Next

Available in Classic and VPC

View domain information according to the specified conditions.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /dns/v1/ncpdns/domain

Request headers

For information about the headers common to all Record APIs, see Record API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
page Integer Required Page number of the paged results
  • You can enter from 0
size Integer Required Number of results to display on a page
domainName String Optional Domain name

Request example

The following is a sample request.

curl --location --request GET 'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/domain?page=0&size=1' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See DomainResponse for the response body.

Response status codes

For information about the HTTP status codes common to all Record APIs, see Record API response status codes.

Response example

The following is a sample response.

{
    "content": [
        {
            "id": 25***,
            "name": "domain000.com",
            "completeYn": true,
            "dnssecYn": false,
            "status": "SUCCESS"
        }
    ],
    "pageable": {
        "sort": {
            "sorted": false,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "pageNumber": 0,
        "pageSize": 1,
        "paged": true,
        "unpaged": false
    },
    "last": false,
    "totalElements": 2,
    "totalPages": 2,
    "first": true,
    "sort": {
        "sorted": false,
        "unsorted": true,
        "empty": true
    },
    "size": 1,
    "number": 0,
    "numberOfElements": 1,
    "empty": false
}

Error code example

The following is a sample error code.

{
    "result": "FAIL",
    "error": {
        "errorCode": "X00006",
        "message": "You are not authorized.",
        "devMessage": "You are not authorized."
    }
}